package com.purui.ghip.controller;

import com.purui.ghip.service.HealthService;
import com.purui.ghip.service.IHealthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * BDHealth服务
 *
 * @author charlie
 * @since  2024/9/10
 */
@RestController
@RequestMapping("/bdhealth")
public class HealthController {

	@Autowired
	HealthService healthService;
	@Autowired
	IHealthService ihealthService;

	public String health() {
		return healthService.health();
	}

	@GetMapping("/Test")
	public String Test(){
		return healthService.getInterfaceForwardingRules("H01");
	}

	@PostMapping("/handerRequest")
	public Object handerRequest(@RequestBody Object postObj) {
		return ihealthService.handerRequest(postObj);
	}

}
